import type { ICoordinates } from "../Core/Interfaces/ICoordinates";
import { MoveDirection, MoveDirectionAlt } from "../Enums";
import { Velocity } from "../Core/Particle/Velocity";
import { RangeValue } from "../Types";
export declare function clamp(num: number, min: number, max: number): number;
export declare function mix(comp1: number, comp2: number, weight1: number, weight2: number): number;
export declare function randomInRange(r: RangeValue): number;
export declare function getRangeValue(value: RangeValue): number;
export declare function getRangeMin(value: RangeValue): number;
export declare function getRangeMax(value: RangeValue): number;
export declare function setRangeValue(source: RangeValue, value?: number): RangeValue;
export declare function getDistances(p1: ICoordinates, p2: ICoordinates): {
    dx: number;
    dy: number;
    distance: number;
};
export declare function getDistance(pointA: ICoordinates, pointB: ICoordinates): number;
export declare function getParticleBaseVelocity(direction: MoveDirection | keyof typeof MoveDirection | MoveDirectionAlt): Velocity;
export declare function rotateVelocity(velocity: Velocity, angle: number): Velocity;
export declare function collisionVelocity(v1: Velocity, v2: Velocity, m1: number, m2: number): Velocity;
export declare function deg2rad(deg: number): number;
export declare function rad2deg(rad: number): number;
export declare class NumberUtils {
    static clamp(num: number, min: number, max: number): number;
    static mix(comp1: number, comp2: number, weight1: number, weight2: number): number;
    static randomInRange(r: RangeValue): number;
    static getRangeValue(value: RangeValue): number;
    static getDistances(pointA: ICoordinates, pointB: ICoordinates): {
        dx: number;
        dy: number;
        distance: number;
    };
    static getDistance(pointA: ICoordinates, pointB: ICoordinates): number;
    static getParticleBaseVelocity(direction: MoveDirection | keyof typeof MoveDirection | MoveDirectionAlt): Velocity;
    static rotateVelocity(velocity: Velocity, angle: number): Velocity;
    static collisionVelocity(v1: Velocity, v2: Velocity, m1: number, m2: number): Velocity;
}
